Scicos function

getblocklabel - get label of a Scicos block at running time

### Calling Sequence

  `label=getblocklabel()`
  `label=getblocklabel(k)`

### Parameters

- `k` : integer, index of the block. if `k` is omitted `k`is supposed to be equal to `curblock()`.
- `label` : a character string, The label of `k`th block (see `Label` button in `Block` menu.

### Description

For display or debug purpose it may be usefull to give label to particular blocks of a diagram. This may be done using Scicos editor (`Label` button in `Block` menu). During simulation, value of these labels may be obtained in any Scilab block with `getblocklabel` Scilab primitive function.

For C or fortran computational functions, user may use `C2F(getlabel)` to get a block label. See `routines/scicos/import.c` file for more details

Block indexes are those relative to the compile structure`cpr`.

### See Also

`curblock` `getscicosvars` `setscicosvars`